## classified-ads 0.07

=== graphics-highres/Makefile ===
# -*- Makefile -*- -*-coding: utf-8-unix;-*-
#
#    Classified Ads is Copyright (c) Antti Järvinen 2013.
#
#    This file is part of Classified Ads.
#
#    Classified Ads is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    Classified Ads is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with Classified Ads; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#
# The file turt-transparent.xcf is highest-resolution version available
# of the turtle logo. It is not used in runtime in that high-res but instead
# converted to 2 smaller resolutions. This makefile handles the resizing
# using imagemagick. If turt-transparent.xcf is modified, say "make all"
# in this directory to generate the small-resolution versions that are
# used at build stage.
#
all: ../ui/turt558.png ../ui/turt-transparent-128x128.png

../ui/turt558.png: turt-transparent.xcf
	convert turt-transparent.xcf -resize 558 ../ui/turt558.png

../ui/turt-transparent-128x128.png: turt-transparent.xcf
	convert turt-transparent.xcf -resize 128x128\>   -gravity center -background none -extent 128x128 ../ui/turt-transparent-128x128.png

clean:
	rm -f ../ui/turt558.png ../ui/turt-transparent-128x128.png

=== debian/changelog ===
classified-ads (0.07-1) unstable; urgency=low

  * Initial release. Closes: #779375

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Sun, 12 Apr 2015 13:21:59 +0300

=== debian/control ===
Source: classified-ads
Section: net
Priority: optional
Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
Build-Depends: debhelper (>= 9),
               libgcrypt-dev,
               libmagic-dev,
               libminiupnpc-dev,
               libnatpmp-dev,
               libqjson-dev,
               libqt4-dev,
               libssl-dev,
               qt4-qmake,
               imagemagick
Standards-Version: 3.9.6
Homepage: http://katiska.org/classified-ads/
Vcs-Git: git://github.com/operatornormal/classified-ads.git -b debian
Vcs-Browser: https://github.com/operatornormal/classified-ads

Package: classified-ads
Architecture: any
Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: Program for displaying classified advertisement items
 Classified ads is an attempt to re-produce parts of the functionality
 that went away when usenet news ceased to exist. This attempt tries to
 fix the problem of disappearing news-servers so that there is no
 servers required; data storage is implemented inside client
 applications that users are running. Features of the program
 currently include
  * Posting of ads online, with categorization.
  * Replying to ads either in public or privately to operator.
  * Binary attachments to posts.
  * Providing basic data of operators
  * Basic searching of content based on words.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT := qt4

%:
	dh $@ --buildsystem=qmake --parallel

override_dh_auto_configure:
	cd graphics-highres && $(MAKE)
	dh_auto_configure -- CONFIG+=nosilent

override_dh_auto_clean:
	cd graphics-highres && $(MAKE) clean
	dh_auto_clean

## classified-ads 0.09

=== graphics-highres/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 all: ../ui/turt558.png ../ui/turt-transparent-128x128.png
 
 ../ui/turt558.png: turt-transparent.xcf
-	convert turt-transparent.xcf -resize 558 ../ui/turt558.png
+	convert turt-transparent.xcf -resize 558 +set date:create +set date:modify -define png:exclude-chunk=time ../ui/turt558.png
 
 ../ui/turt-transparent-128x128.png: turt-transparent.xcf
-	convert turt-transparent.xcf -resize 128x128\>   -gravity center -background none -extent 128x128 ../ui/turt-transparent-128x128.png
+	convert turt-transparent.xcf -resize 128x128\>   -gravity center -background none -extent 128x128 +set date:create +set date:modify -define png:exclude-chunk=time ../ui/turt-transparent-128x128.png
 
 clean:
 	rm -f ../ui/turt558.png ../ui/turt-transparent-128x128.png

=== po/Makefile ===
#
# Classified Ads is Copyright (c) Antti Järvinen 2013.
#
# This file is part of Classified Ads.
#
# Classified Ads is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# Classified Ads is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with Classified Ads; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#

# If adding a new translation, list it here. Also see the list 
# in "install" target.
translations = fi.mo sv.mo da.mo

.SUFFIXES: .mo .po

CLEAN_CMD ?= rm -f

all:	$(translations)

.po.mo:
	$(MSGFMT_PATH)msgfmt $*.po -o $*.mo

clean:
	$(CLEAN_CMD) $(translations)

install:	all
	install -m 644 -D -T fi.mo \
	$(DESTDIR)/usr/share/locale/fi/LC_MESSAGES/classified-ads.mo
	install -m 644 -D -T sv.mo \
	$(DESTDIR)/usr/share/locale/sv/LC_MESSAGES/classified-ads.mo
	install -m 644 -D -T da.mo \
	$(DESTDIR)/usr/share/locale/da/LC_MESSAGES/classified-ads.mo

=== debian/changelog ===
classified-ads (0.09-1) unstable; urgency=medium

  * New upstream version.
  * Noticed translations in copyright file. Closes: #801147

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Sat, 10 Oct 2015 15:58:24 +0300

classified-ads (0.08-1) unstable; urgency=low

  * New upstream release. Closes: #794395
  * Build deps changed: qt5 instead of qt4, removal of libqjson and libmagic.

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Sun, 04 Oct 2015 23:24:17 +0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
 Build-Depends: debhelper (>= 9),
                libgcrypt-dev,
-               libmagic-dev,
                libminiupnpc-dev,
                libnatpmp-dev,
-               libqjson-dev,
-               libqt4-dev,
+               qtbase5-dev,
                libssl-dev,
-               qt4-qmake,
+               qt5-qmake,
                imagemagick
 Standards-Version: 3.9.6
 Homepage: http://katiska.org/classified-ads/
@@ -19,7 +17,7 @@
 
 Package: classified-ads
 Architecture: any
-Depends: libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: Program for displaying classified advertisement items
  Classified ads is an attempt to re-produce parts of the functionality
  that went away when usenet news ceased to exist. This attempt tries to

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-export QT_SELECT := qt4
+export QT_SELECT := qt5
 
 %:
 	dh $@ --buildsystem=qmake --parallel

## classified-ads 0.10

=== debian/changelog ===
classified-ads (0.10-1) unstable; urgency=medium

  * New upstream version.

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Thu, 21 Apr 2016 20:37:58 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
                qtbase5-dev,
                libssl-dev,
                qt5-qmake,
-               imagemagick
+               imagemagick,
+               qtmultimedia5-dev,
+               libopus-dev
 Standards-Version: 3.9.6
 Homepage: http://katiska.org/classified-ads/
 Vcs-Git: git://github.com/operatornormal/classified-ads.git -b debian
@@ -18,6 +20,7 @@
 Package: classified-ads
 Architecture: any
 Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Suggests: qttranslations5-l10n
 Description: Program for displaying classified advertisement items
  Classified ads is an attempt to re-produce parts of the functionality
  that went away when usenet news ceased to exist. This attempt tries to
@@ -30,3 +33,4 @@
   * Binary attachments to posts.
   * Providing basic data of operators
   * Basic searching of content based on words.
+  * Audio negotiations between operators.

## classified-ads 0.11

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Classified Ads is Copyright (c) Antti Järvinen 2013.
+# Classified Ads is Copyright (c) Antti Järvinen 2013-2016.
 #
 # This file is part of Classified Ads.
 #
@@ -20,7 +20,7 @@
 
 # If adding a new translation, list it here. Also see the list 
 # in "install" target.
-translations = fi.mo sv.mo da.mo
+translations = fi.mo sv.mo da.mo uk.mo de.mo
 
 .SUFFIXES: .mo .po
 
@@ -41,3 +41,7 @@
 	$(DESTDIR)/usr/share/locale/sv/LC_MESSAGES/classified-ads.mo
 	install -m 644 -D -T da.mo \
 	$(DESTDIR)/usr/share/locale/da/LC_MESSAGES/classified-ads.mo
+	install -m 644 -D -T uk.mo \
+	$(DESTDIR)/usr/share/locale/uk/LC_MESSAGES/classified-ads.mo
+	install -m 644 -D -T de.mo \
+	$(DESTDIR)/usr/share/locale/de/LC_MESSAGES/classified-ads.mo

=== debian/changelog ===
classified-ads (0.11-1) unstable; urgency=medium

  * New upstream version. Closes: #828268
  * Standards version bump to 3.9.8. No changes to sources were required.
  * Additions to copyright-file
  * Changed git:// urls to https:// urls in d/control

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Sun, 03 Jul 2016 16:13:55 +0300

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                imagemagick,
                qtmultimedia5-dev,
                libopus-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://katiska.org/classified-ads/
-Vcs-Git: git://github.com/operatornormal/classified-ads.git -b debian
+Vcs-Git: https://github.com/operatornormal/classified-ads.git -b debian
 Vcs-Browser: https://github.com/operatornormal/classified-ads
 
 Package: classified-ads

## classified-ads 0.12

=== test/Makefile ===
#############################################################################
# Makefile for building: testca
# Generated by qmake (2.01a) (Qt 4.8.6) on: la joulukuuta 13 21:30:56 2014
# Project:  testca.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -o Makefile testca.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_SQL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -fprofile-arcs -ftest-coverage -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I/usr/include/qt4/QtTest -I.
LINK          = g++
LFLAGS        = -m64
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lssl -lcrypto -lgcrypt -lnatpmp -lqjson -lgcov -lQtTest -lQtSql -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testca.cpp \
		../util/hash.cpp \
		mockup_controller.cpp \
		../datamodel/model.cpp \
		../datamodel/nodemodel.cpp \
		../datamodel/contentencryptionmodel.cpp \
		../net/networklistener.cpp \
		../net/protocol_message_formatter.cpp \
		../net/protocol_message_parser.cpp \
		../net/node.cpp \
		../net/connection.cpp \
		../datamodel/netrequestexecutor.cpp \
		../datamodel/profile.cpp \
		../datamodel/ca.cpp \
		../datamodel/binaryfile.cpp \
		../datamodel/profilemodel.cpp \
		mockup_model.cpp \
		mockup_nodemodel.cpp \
		../datamodel/camodel.cpp \
		../datamodel/binaryfilemodel.cpp \
		../datamodel/privmsgmodel.cpp \
		../datamodel/privmsg.cpp \
		../datamodel/profilecommentmodel.cpp \
		../datamodel/searchmodel.cpp \
		../datamodel/datamodelbase.cpp \
		../datamodel/profilecomment.cpp moc_mcontroller.cpp \
		moc_mockup_controller.cpp \
		moc_model.cpp \
		moc_nodemodel.cpp \
		moc_contentencryptionmodel.cpp \
		moc_networklistener.cpp \
		moc_protocol_message_parser.cpp \
		moc_node.cpp \
		moc_connection.cpp \
		moc_netrequestexecutor.cpp \
		moc_profile.cpp \
		moc_camodel.cpp \
		moc_binaryfilemodel.cpp \
		moc_profilemodel.cpp \
		moc_mockup_model.cpp \
		moc_mmodelprotocolinterface.cpp \
		moc_mockup_nodemodel.cpp \
		moc_privmsgmodel.cpp \
		moc_profilecommentmodel.cpp \
		moc_searchmodel.cpp \
		moc_datamodelbase.cpp
OBJECTS       = testca.o \
		hash.o \
		mockup_controller.o \
		model.o \
		nodemodel.o \
		contentencryptionmodel.o \
		networklistener.o \
		protocol_message_formatter.o \
		protocol_message_parser.o \
		node.o \
		connection.o \
		netrequestexecutor.o \
		profile.o \
		ca.o \
		binaryfile.o \
		profilemodel.o \
		mockup_model.o \
		mockup_nodemodel.o \
		camodel.o \
		binaryfilemodel.o \
		privmsgmodel.o \
		privmsg.o \
		profilecommentmodel.o \
		searchmodel.o \
		datamodelbase.o \
		profilecomment.o \
		moc_mcontroller.o \
		moc_mockup_controller.o \
		moc_model.o \
		moc_nodemodel.o \
		moc_contentencryptionmodel.o \
		moc_networklistener.o \
		moc_protocol_message_parser.o \
		moc_node.o \
		moc_connection.o \
		moc_netrequestexecutor.o \
		moc_profile.o \
		moc_camodel.o \
		moc_binaryfilemodel.o \
		moc_profilemodel.o \
		moc_mockup_model.o \
		moc_mmodelprotocolinterface.o \
		moc_mockup_nodemodel.o \
		moc_privmsgmodel.o \
		moc_profilecommentmodel.o \
		moc_searchmodel.o \
		moc_datamodelbase.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		testca.pro
QMAKE_TARGET  = testca
DESTDIR       = 
TARGET        = testca

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	{ test -n "$(DESTDIR)" && DESTDIR="$(DESTDIR)" || DESTDIR=.; } && test $$(gdb --version | sed -e 's,[^0-9][^0-9]*\([0-9]\)\.\([0-9]\).*,\1\2,;q') -gt 72 && gdb --nx --batch --quiet -ex 'set confirm off' -ex "save gdb-index $$DESTDIR" -ex quit '$(TARGET)' && test -f $(TARGET).gdb-index && objcopy --add-section '.gdb_index=$(TARGET).gdb-index' --set-section-flags '.gdb_index=readonly' '$(TARGET)' '$(TARGET)' && rm -f $(TARGET).gdb-index || true

Makefile: testca.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtTest.prl \
		/usr/lib/x86_64-linux-gnu/libQtSql.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile testca.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtTest.prl:
/usr/lib/x86_64-linux-gnu/libQtSql.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile testca.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/testca1.0.0 || $(MKDIR) .tmp/testca1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/testca1.0.0/ && $(COPY_FILE) --parents ../util/hash.h ../mcontroller.h mockup_controller.h ../datamodel/model.h ../datamodel/nodemodel.h ../datamodel/contentencryptionmodel.h ../net/networklistener.h ../net/protocol_message_formatter.h ../net/protocol_message_parser.h ../net/node.h ../net/connection.h ../datamodel/netrequestexecutor.h ../datamodel/profile.h ../datamodel/camodel.h ../datamodel/ca.h ../datamodel/binaryfile.h ../datamodel/binaryfilemodel.h ../datamodel/profilemodel.h mockup_model.h ../datamodel/mmodelprotocolinterface.h ../datamodel/mnodemodelprotocolinterface.h mockup_nodemodel.h ../datamodel/privmsgmodel.h ../datamodel/privmsg.h ../datamodel/profilecommentmodel.h ../datamodel/searchmodel.h ../datamodel/datamodelbase.h ../datamodel/profilecomment.h .tmp/testca1.0.0/ && $(COPY_FILE) --parents testca.cpp ../util/hash.cpp mockup_controller.cpp ../datamodel/model.cpp ../datamodel/nodemodel.cpp ../datamodel/contentencryptionmodel.cpp ../net/networklistener.cpp ../net/protocol_message_formatter.cpp ../net/protocol_message_parser.cpp ../net/node.cpp ../net/connection.cpp ../datamodel/netrequestexecutor.cpp ../datamodel/profile.cpp ../datamodel/ca.cpp ../datamodel/binaryfile.cpp ../datamodel/profilemodel.cpp mockup_model.cpp mockup_nodemodel.cpp ../datamodel/camodel.cpp ../datamodel/binaryfilemodel.cpp ../datamodel/privmsgmodel.cpp ../datamodel/privmsg.cpp ../datamodel/profilecommentmodel.cpp ../datamodel/searchmodel.cpp ../datamodel/datamodelbase.cpp ../datamodel/profilecomment.cpp .tmp/testca1.0.0/ && (cd `dirname .tmp/testca1.0.0` && $(TAR) testca1.0.0.tar testca1.0.0 && $(COMPRESS) testca1.0.0.tar) && $(MOVE) `dirname .tmp/testca1.0.0`/testca1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/testca1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

=== debian/changelog ===
classified-ads (0.12-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:51 +0000

classified-ads (0.12-1) unstable; urgency=medium

  * New upstream version 0.12, new dependencies added to control
  * Additions to copyright file
  * Standards-version bump, application description update

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Fri, 17 Nov 2017 21:16:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: classified-ads
 Section: net
 Priority: optional
-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
 Build-Depends: debhelper (>= 9),
                libgcrypt-dev,
                libminiupnpc-dev,
@@ -11,8 +12,11 @@
                qt5-qmake,
                imagemagick,
                qtmultimedia5-dev,
-               libopus-dev
-Standards-Version: 3.9.8
+               libopus-dev,
+               tcl-dev,
+               tk-dev,
+               zlib1g-dev
+Standards-Version: 4.1.1
 Homepage: http://katiska.org/classified-ads/
 Vcs-Git: https://github.com/operatornormal/classified-ads.git -b debian
 Vcs-Browser: https://github.com/operatornormal/classified-ads
@@ -34,3 +38,5 @@
   * Providing basic data of operators
   * Basic searching of content based on words.
   * Audio negotiations between operators.
+  * Possibility to extend the UI using TCL scripting language
+  * Sharing data between TCL programs using general-purpose distributed db

=== debian/watch ===
version=3
https://github.com/operatornormal/classified-ads/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## classified-ads 0.13

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Classified Ads is Copyright (c) Antti Järvinen 2013-2016.
+# Classified Ads is Copyright (c) Antti Järvinen 2013-2017.
 #
 # This file is part of Classified Ads.
 #
@@ -20,7 +20,7 @@
 
 # If adding a new translation, list it here. Also see the list 
 # in "install" target.
-translations = fi.mo sv.mo da.mo uk.mo de.mo
+translations = fi.mo sv.mo da.mo uk.mo de.mo es.mo
 
 .SUFFIXES: .mo .po
 
@@ -45,3 +45,5 @@
 	$(DESTDIR)/usr/share/locale/uk/LC_MESSAGES/classified-ads.mo
 	install -m 644 -D -T de.mo \
 	$(DESTDIR)/usr/share/locale/de/LC_MESSAGES/classified-ads.mo
+	install -m 644 -D -T es.mo \
+	$(DESTDIR)/usr/share/locale/es/LC_MESSAGES/classified-ads.mo

=== debian/changelog ===
classified-ads (0.13-1build2) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:28:48 +0000

classified-ads (0.13-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:36:11 +0100

classified-ads (0.13-1) unstable; urgency=medium

  * New upstream version 0.13
  * d/compat set to 10, Standards-version 4.1.4
  * Unit test suite is run during package creation
  * Safe URL for accessing copyright format, dh version according to compat 10
  * Removed obsolete --parallel option from dh

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Tue, 03 Jul 2018 17:41:24 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libgcrypt-dev,
                libminiupnpc-dev,
                libnatpmp-dev,
@@ -15,8 +15,11 @@
                libopus-dev,
                tcl-dev,
                tk-dev,
-               zlib1g-dev
-Standards-Version: 4.1.1
+               zlib1g-dev,
+               libbz2-dev,
+               xvfb,
+               xauth
+Standards-Version: 4.1.4
 Homepage: http://katiska.org/classified-ads/
 Vcs-Git: https://github.com/operatornormal/classified-ads.git -b debian
 Vcs-Browser: https://github.com/operatornormal/classified-ads
@@ -38,5 +41,5 @@
   * Providing basic data of operators
   * Basic searching of content based on words.
   * Audio negotiations between operators.
-  * Possibility to extend the UI using TCL scripting language
-  * Sharing data between TCL programs using general-purpose distributed db
+  * Possibility to extend the UI using Tcl scripting language
+  * Sharing data between Tcl programs using general-purpose distributed db

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT := qt5

%:
	dh $@ --buildsystem=qmake

override_dh_auto_configure:
	cd graphics-highres && $(MAKE)
	dh_auto_configure -- CONFIG+=nosilent

override_dh_auto_clean:
	cd graphics-highres && $(MAKE) clean
	cd testca && ( $(MAKE) clean || /bin/true )
	dh_auto_clean

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## classified-ads 0.14

=== debian/changelog ===
classified-ads (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * Standards-version 4.6.0
  * Fixed lintian warnings about missing CC0 license in d/copyright
  * Hardening options in d/rules
  * New watch-file syntax for github
  * Compile using C.UTF-8 aiming to reproducible build
  * Added d/upstream/metadata
  * Added Rules-Requires-Root: no into d/control
  * Updated years in d/copyright

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Tue, 12 Apr 2022 20:29:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: classified-ads
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
+Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
 Build-Depends: debhelper (>= 10),
                libgcrypt-dev,
                libminiupnpc-dev,
@@ -19,10 +18,11 @@
                libbz2-dev,
                xvfb,
                xauth
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Homepage: http://katiska.org/classified-ads/
 Vcs-Git: https://github.com/operatornormal/classified-ads.git -b debian
 Vcs-Browser: https://github.com/operatornormal/classified-ads
+Rules-Requires-Root: no
 
 Package: classified-ads
 Architecture: any

## classified-ads 0.15

=== debian/changelog ===
classified-ads (0.15-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:22 +1100

classified-ads (0.15-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:05:14 +0000

classified-ads (0.15-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:34:47 +0000

classified-ads (0.15-1) unstable; urgency=medium

  * New upstream version 0.15, essential with OpenSSL 3.x
  * d/compat is 10->12.

 -- Antti Järvinen <antti.jarvinen@katiska.org>  Sun, 12 Jun 2022 17:51:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: classified-ads
 Section: net
 Priority: optional
-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antti Järvinen <antti.jarvinen@katiska.org>
+Build-Depends: debhelper (>= 12),
                libgcrypt-dev,
                libminiupnpc-dev,
                libnatpmp-dev,
